APIAuth

Get permissions

Get the current user's effective permissions.

GET
/auth/permissions

Get the current user's effective permissions.

Authorization

ApiKeyAuth
headerAuthorizationBearer <token>

Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.

Required permission

No permission required.

Response Body

The request has succeeded.

application/json
  1. response

The current caller's identity and everything they are allowed to do.

grants*array<>

The permissions the caller holds.

user_id*uuid
Formatuuid
curl -X GET "https://example.com/auth/permissions"
{  "grants": [    {      "permission": "view_agents",      "scope": "all",      "group": "string",      "description": "string",      "grantable": true,      "scopable": true    }  ],  "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5"}